commit:     a562070b92ebe7a297623983cd7c7c8103199f1e
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Jun 29 03:08:41 2021 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Jun 29 03:25:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a562070b

dev-python/bson: initial import

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/bson/Manifest          |  1 +
 dev-python/bson/bson-0.5.8.ebuild | 29 +++++++++++++++++++++++++++++
 dev-python/bson/metadata.xml      | 14 ++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/dev-python/bson/Manifest b/dev-python/bson/Manifest
new file mode 100644
index 000000000..b9926ce14
--- /dev/null
+++ b/dev-python/bson/Manifest
@@ -0,0 +1 @@
+DIST bson-0.5.8.tar.gz 24114 BLAKE2B 
e35055dcd3c8b1cf77ec9d9496d32d4bca4e9ab31ecf79399a8449c459d1b5e67375bd88743175f1450311519b55cbca8c11a8da736ba87907e1497b5a94b363
 SHA512 
68bd69d1f5d0d11014d51c0901e7f44b7a3d9f7ad013af4137b7ac48bc42f81bd1423115b67939beedf6e7336794e7ffd4d0d539222d4eaa50845ae25622f21a

diff --git a/dev-python/bson/bson-0.5.8.ebuild 
b/dev-python/bson/bson-0.5.8.ebuild
new file mode 100644
index 000000000..f3a396140
--- /dev/null
+++ b/dev-python/bson/bson-0.5.8.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Independent BSON codec for Python that doesn’t depend on MongoDB"
+HOMEPAGE="https://github.com/py-bson/bson";
+SRC_URI="https://github.com/py-bson/bson/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       >=dev-python/python-dateutil-2.4.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+python_test() {
+       "${EPYTHON}" test.py || die
+}

diff --git a/dev-python/bson/metadata.xml b/dev-python/bson/metadata.xml
new file mode 100644
index 000000000..6798dda1a
--- /dev/null
+++ b/dev-python/bson/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+    <maintainer type="person">
+      <description>co-maintainers welcome</description>
+      <email>lssndrbarbi...@gmail.com</email>
+      <name>Alessandro Barbieri</name>
+    </maintainer>
+    <upstream>
+        <bugs-to>https://github.com/py-bson/bson/issues</bugs-to>
+        <remote-id type="github">py-bson/bson</remote-id>
+        <remote-id type="pypi">bson</remote-id>
+    </upstream>
+</pkgmetadata>

Reply via email to